Subject: Re: [Pce] Suresh Krishnan's No Objection on draft-ietf-pce-gmpls-pcep-extensions-14: (with COMMENT)

From: Cyril Margaria <[email-masked]>
Date: Mon, 1 Jul 2019 10:58:24 +0200

Thanks for the review,

please see inline

Best regards,
Cyril Margaria

On Tue, 9 Apr 2019 at 20:41, Suresh Krishnan via Datatracker <
[email-masked]> wrote:

> Suresh Krishnan has entered the following ballot position for
> draft-ietf-pce-gmpls-pcep-extensions-14: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pce-gmpls-pcep-extensions/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> * Section 2.5.2
>
> "In this object type the order of the TLVs MUST be followed according to
> the
> object type definition."
>
> Not sure what this means. Can you clarify?
>
>
[MC] This refers to Section 2.5.1 Generalized Endpoint Object Type,
the TLV ordering matters (for a given object type).
A better wording could be as follows:
NEW:
All endpoint TLVs have the standard PCEP TLV header as defined in
   [RFC5440] section 7.1.  For the Generalized Endpoint Object Type the
   TLVs MUST follow the ordering defined in Section 2.5.1.

> * Section 2.7
>
> "C-Type (8 bits): the C-Type of the included Label Object as defined in
> [RFC3471]."
>
> I could not find any references to C-Types in RFC3471. Shouldn't you be
> referring to RFC3473 instead? I have a similar comment for the Label field.
>
>
[MC] The reference should indeed be RFC3473 for the C-Type. The Label field
is technology-dependent and defined in RFC3471, the per-technology labels
are defined in the technology-specific RFCs.

>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 2 Jul 2019 01:52:13 +0000

On Jul 1, 2019, at 4:58 PM, Cyril Margaria <[email-masked]<mailto:[email-masked]>> wrote:

Thanks for the review,

please see inline

Best regards,
Cyril Margaria

On Tue, 9 Apr 2019 at 20:41, Suresh Krishnan via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Suresh Krishnan has entered the following ballot position for
draft-ietf-pce-gmpls-pcep-extensions-14: No Objection

* Section 2.5.2

"In this object type the order of the TLVs MUST be followed according to the
object type definition."

Works for me.

* Section 2.7

[MC] The reference should indeed be RFC3473 for the C-Type.

Excellent. Thanks for the changes.

Regards
Suresh